Skip to main content
Rotate the virtual machine agent key
curl --request POST \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId}/rotate-agent-key \
  --cookie acornops_cp_session=
{
  "agentKey": "<string>",
  "keyVersion": 123,
  "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "installInstructions": {
    "command": "<string>",
    "environment": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

vmId
string<uuid>
required
Example:

"9254df42-4d9b-4e63-8bb6-93442e7d9a45"

Response

Replacement VM agent key and updated systemd install instructions.

agentKey
string
required
keyVersion
integer
required
clusterId
string<uuid>
vmId
string<uuid>
targetId
string<uuid>
installInstructions
object